import api from './api';

export const lockerService = {
  registerLockers: async (cabinetId, lockers) => {
    return api.post('/cabinet', {
      cabinetId,
      lockers: lockers.map(({ id, size, keyId }) => ({
        id,
        size,
        keyId
      }))
    });
  },

  changeLockerStatus: async (cabinetId, lockerId, status) => {
    return api.patch(`/locker/status`, { cabinetId, lockerId, status });
  },

  keySwap: async (cabinetId, lockerId, reason, oldKey, newKey) => {
    return api.patch(`/locker/key`, { cabinetId, lockerId, reason, oldKey, newKey });
  }
};